Subject: Re: gitweb not friendly to firefox?

From: Eygene Ryabinkin <[email-masked]>
Date: Thu, 1 Mar 2007 17:00:47 +0300

> > Line Number 43, Column 38:<tr><td>author</td><td>Li Yang
> <[email-masked]></td></tr> -------------------------------------^
> 
> Try to save the output and verify it with some other xml-parser. The
> "<[email-masked]>" seems to be the culprit here, since "@" is no
> allowed character for a xml-tag, and there maybe is some html-escaping of
> the email address missing?

I think that the situation is simpler: <LeoLi@....> is taken as the
XML/HTML tag and it
- does not closed anywhere,
- has the wrong syntax, since "@" and "." can not live inside the
tag name if memory serves me right.

The proper thing is to replace "<" with "&lt;" and ">" with "&gt;".
-- 
Eygene